org.apache.geode.management.cli

## Interface ConverterHint

-     public interface ConverterHint

  Used in `CliOption` annotations to indicate which converter(s) should or should not be used.
  Since:
    GemFire 8.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALL_MEMBER_IDNAME` Hint to be used for all types of GemFire cluster members
    `static java.lang.String` | `DISABLE_STRING_CONVERTER`
    `static java.lang.String` | `DISKSTORE`
    `static java.lang.String` | `FILE`
    `static java.lang.String` | `FILE_PATH`
    `static java.lang.String` | `GATEWAY_RECEIVER_ID`
    `static java.lang.String` | `GATEWAY_SENDER_ID`
    `static java.lang.String` | `HELP`
    `static java.lang.String` | `HINT`
    `static java.lang.String` | `INDEX_TYPE`
    `static java.lang.String` | `LOCATOR_DISCOVERY_CONFIG` Hint to be used for configured locators for discovery
    `static java.lang.String` | `LOCATOR_MEMBER_IDNAME` Hint to be used for GemFire stand-alone locator members
    `static java.lang.String` | `LOG_LEVEL`
    `static java.lang.String` | `MEMBERGROUP`
    `static java.lang.String` | `MEMBERIDNAME` Hint to be used for all non locator GemFire cluster members
    `static java.lang.String` | `REGION_PATH`

- - ### Field Detail

    - #### DISABLE_STRING_CONVERTER

          static final java.lang.String DISABLE_STRING_CONVERTER

      See Also:
        Constant Field Values

    - #### DISKSTORE

          static final java.lang.String DISKSTORE

      See Also:
        Constant Field Values

    - #### FILE

          static final java.lang.String FILE

      See Also:
        Constant Field Values

    - #### FILE_PATH

          static final java.lang.String FILE_PATH

      See Also:
        Constant Field Values

    - #### HINT

          static final java.lang.String HINT

      See Also:
        Constant Field Values

    - #### HELP

          static final java.lang.String HELP

      See Also:
        Constant Field Values

    - #### MEMBERGROUP

          static final java.lang.String MEMBERGROUP

      See Also:
        Constant Field Values

    - #### ALL_MEMBER_IDNAME

          static final java.lang.String ALL_MEMBER_IDNAME

      Hint to be used for all types of GemFire cluster members
      See Also:
        Constant Field Values

    - #### MEMBERIDNAME

          static final java.lang.String MEMBERIDNAME

      Hint to be used for all non locator GemFire cluster members
      See Also:
        Constant Field Values

    - #### LOCATOR_MEMBER_IDNAME

          static final java.lang.String LOCATOR_MEMBER_IDNAME

      Hint to be used for GemFire stand-alone locator members
      See Also:
        Constant Field Values

    - #### LOCATOR_DISCOVERY_CONFIG

          static final java.lang.String LOCATOR_DISCOVERY_CONFIG

      Hint to be used for configured locators for discovery
      See Also:
        Constant Field Values

    - #### REGION_PATH

          static final java.lang.String REGION_PATH

      See Also:
        Constant Field Values

    - #### INDEX_TYPE

          static final java.lang.String INDEX_TYPE

      See Also:
        Constant Field Values

    - #### GATEWAY_SENDER_ID

          static final java.lang.String GATEWAY_SENDER_ID

      See Also:
        Constant Field Values

    - #### GATEWAY_RECEIVER_ID

          static final java.lang.String GATEWAY_RECEIVER_ID

      See Also:
        Constant Field Values

    - #### LOG_LEVEL

          static final java.lang.String LOG_LEVEL

      See Also:
        Constant Field Values